<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        header{
            text-align: center;
        }
        div{
            display: flex;
            justify-content: space-evenly;
        }
        aside{
            margin: 40px auto;
            width: 70%;
            border: 2px solid blue;
            
        }
        p{
            font-size: 20px;
        }
        button:hover{
            background-color: black;
            color: white;
        }
.display{
    display: none;
}
    </style>
</head>
<body>
    <section>
        <header>
            <button id="btn">show</button>
        </header>
        <aside class="display">
          <div>
            <h1>welcome to j spider</h1>
            <button id="btn1">x</button>
          </div>
          <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quasi tempora dignissimos sapiente optio voluptates provident itaque impedit, eius nemo dolores dolor, voluptate, commodi incidunt qui non deleniti. Culpa nobis optio quidem ea corporis!</p>
        </aside>
    </section>

    <script>
      let showBtn= document.getElementById('btn');
      showBtn.addEventListener('click',()=>{
       let hideBlock= document.getElementsByTagName('aside')[0];
     hideBlock.classList.toggle('display');
      })
    let hideBtn=document.getElementById('btn1');
    hideBtn.addEventListener('click',()=>{
       let showBlock= document.getElementsByTagName('aside')[0];
       showBlock.classList.add('display');
      })

    </script>
</body>
</html>